Skip to content

Media Resource Tags Endpoints

Media Resource Tags API endpoints.


Overview

Method Endpoint Description
GET /api/v1/media-resources/{media_resource_id}/tags/ Get Media Resource Tags
POST /api/v1/media-resources/{media_resource_id}/tags/ Assign Media Resource Tags
PUT /api/v1/media-resources/{media_resource_id}/tags/ Set Media Resource Tags
DELETE /api/v1/media-resources/{media_resource_id}/tags/ Remove Media Resource Tags

API Reference

Sartiq Backend Server - Media Resource Tags 0.1.0

media-resource-tags


GET /api/v1/media-resources/{media_resource_id}/tags/

Get Media Resource Tags

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
media_resource_id path string No

Responses

{
    "tags": [
        {
            "id": "a6134be1-798a-4080-a6d3-b3b38a760f68",
            "name": "string",
            "color": null,
            "description": null,
            "owner_id": "d3cc994a-5a1a-4b84-bffc-3575168f81b7",
            "organization_id": null,
            "created_at": "2022-04-13T15:42:05.901Z",
            "updated_at": "2022-04-13T15:42:05.901Z"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "$ref": "#/components/schemas/TagPublic"
            },
            "type": "array",
            "title": "Tags"
        }
    },
    "type": "object",
    "required": [
        "tags"
    ],
    "title": "MediaResourceTagsPublic",
    "description": "Response for tags on a media resource."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/media-resources/{media_resource_id}/tags/

Assign Media Resource Tags

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
media_resource_id path string No
organization_id query No

Request body

{
    "tag_ids": [
        "7a10960d-5e7b-49fe-9fa6-1bce20d42aeb"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "tag_ids": {
            "items": {
                "type": "string",
                "format": "uuid"
            },
            "type": "array",
            "title": "Tag Ids"
        }
    },
    "type": "object",
    "required": [
        "tag_ids"
    ],
    "title": "MediaResourceTagAssign",
    "description": "Request body for assigning/removing tags on a media resource."
}

Responses

{
    "tags": [
        {
            "id": "f006b1f7-2e3b-4d2e-9994-f8c3fe4f3269",
            "name": "string",
            "color": null,
            "description": null,
            "owner_id": "bb967943-b357-473b-98d4-d7b5e62a5cc9",
            "organization_id": null,
            "created_at": "2022-04-13T15:42:05.901Z",
            "updated_at": "2022-04-13T15:42:05.901Z"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "$ref": "#/components/schemas/TagPublic"
            },
            "type": "array",
            "title": "Tags"
        }
    },
    "type": "object",
    "required": [
        "tags"
    ],
    "title": "MediaResourceTagsPublic",
    "description": "Response for tags on a media resource."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PUT /api/v1/media-resources/{media_resource_id}/tags/

Set Media Resource Tags

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
media_resource_id path string No
organization_id query No

Request body

{
    "tag_ids": [
        "4c20a105-a730-4004-accf-628b510790cd"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "tag_ids": {
            "items": {
                "type": "string",
                "format": "uuid"
            },
            "type": "array",
            "title": "Tag Ids"
        }
    },
    "type": "object",
    "required": [
        "tag_ids"
    ],
    "title": "MediaResourceTagAssign",
    "description": "Request body for assigning/removing tags on a media resource."
}

Responses

{
    "tags": [
        {
            "id": "6f8f4cd9-97f0-45c9-bcd4-00640f247b1c",
            "name": "string",
            "color": null,
            "description": null,
            "owner_id": "3e2a87a7-d459-4294-b788-598b8ee417d9",
            "organization_id": null,
            "created_at": "2022-04-13T15:42:05.901Z",
            "updated_at": "2022-04-13T15:42:05.901Z"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "$ref": "#/components/schemas/TagPublic"
            },
            "type": "array",
            "title": "Tags"
        }
    },
    "type": "object",
    "required": [
        "tags"
    ],
    "title": "MediaResourceTagsPublic",
    "description": "Response for tags on a media resource."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/media-resources/{media_resource_id}/tags/

Remove Media Resource Tags

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
media_resource_id path string No
organization_id query No

Request body

{
    "tag_ids": [
        "0fbdc221-c97f-4747-8096-4a36fb44c84b"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "tag_ids": {
            "items": {
                "type": "string",
                "format": "uuid"
            },
            "type": "array",
            "title": "Tag Ids"
        }
    },
    "type": "object",
    "required": [
        "tag_ids"
    ],
    "title": "MediaResourceTagAssign",
    "description": "Request body for assigning/removing tags on a media resource."
}

Responses

{
    "tags": [
        {
            "id": "7aec436e-8324-46a0-aa2a-42d9ec6444b4",
            "name": "string",
            "color": null,
            "description": null,
            "owner_id": "8ac9d6ac-b32b-4553-961d-7d636fc05f70",
            "organization_id": null,
            "created_at": "2022-04-13T15:42:05.901Z",
            "updated_at": "2022-04-13T15:42:05.901Z"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "tags": {
            "items": {
                "$ref": "#/components/schemas/TagPublic"
            },
            "type": "array",
            "title": "Tags"
        }
    },
    "type": "object",
    "required": [
        "tags"
    ],
    "title": "MediaResourceTagsPublic",
    "description": "Response for tags on a media resource."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

HTTPValidationError

Name Type Description
detail Array<ValidationError>

MediaResourceTagAssign

Name Type Description
tag_ids Array<string(uuid)>

MediaResourceTagsPublic

Name Type Description
tags Array<TagPublic>

TagPublic

Name Type Description
color
created_at string(date-time)
description
id string(uuid)
name string
organization_id
owner_id string(uuid)
updated_at string(date-time)

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2